summaryrefslogtreecommitdiffstats
path: root/local/.bin/hornet/import
diff options
context:
space:
mode:
Diffstat (limited to 'local/.bin/hornet/import')
-rwxr-xr-xlocal/.bin/hornet/import10
1 files changed, 10 insertions, 0 deletions
diff --git a/local/.bin/hornet/import b/local/.bin/hornet/import
new file mode 100755
index 0000000..307d56b
--- /dev/null
+++ b/local/.bin/hornet/import
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+for service in unclutter compton; do
+ if svst $service; then
+ svdn $service >/dev/null
+ # shellcheck disable=SC2064
+ trap "svup $service > /dev/null" EXIT
+ fi
+done
+/usr/bin/import "$@"